| Tipro API Communicate with Tipro devices

Macros | Functions
Handset.h File Reference
`#include "TiproHidDevice.h"`
Include dependency graph for Handset.h:

Go to the source code of this file.

## Macros
#define | HXX_MIC_ATT_0 0x00
#define | HXX_MIC_ATT_1 0x01
#define | HXX_MIC_ATT_2 0x02
#define | HXX_MIC_ATT_3 0x03
#define | HXX_MIC_ATT_4 0x04
#define | HXX_MIC_ATT_5 0x05
#define | HXX_MIC_ATT_6 0x06
#define | HXX_MIC_ATT_7 0x07
#define | HXX_MIC_ATT_8 0x08
#define | HXX_MIC_ATT_9 0x09
#define | HXX_MIC_ATT_10 0x0A
#define | HXX_MIC_ATT_11 0x0B
#define | HXX_MIC_ATT_12 0x0C
#define | HXX_MIC_ATT_13 0x0D
#define | HXX_MIC_ATT_14 0x0E
#define | HXX_MIC_ATT_MIN HXX_MIC_ATT_0
#define | HXX_MIC_ATT_MAX HXX_MIC_ATT_14
#define | HXX_MIC_COMPRESSION_OFF 0x10
#define | HXX_MIC_COMPRESSION_ON 0x11
#define | HXX_MIC_COMPRESSION_MIN HXX_MIC_COMPRESSION_OFF
#define | HXX_MIC_COMPRESSION_MAX HXX_MIC_COMPRESSION_ON
#define | HXX_MIC_THRESHOLD_HIGH 0x10
#define | HXX_MIC_THRESHOLD_MID 0x11
#define | HXX_MIC_THRESHOLD_LOW 0x12
#define | HXX_MIC_THRESHOLD_LOWER 0x13
#define | HXX_MIC_THRESHOLD_VERY_LOW 0x14
#define | HXX_MIC_THRESHOLD_ILLEGAL 0xFF
#define | HXX_MIC_THRESHOLD_MIN HXX_MIC_THRESHOLD_HIGH
#define | HXX_MIC_THRESHOLD_MAX HXX_MIC_THRESHOLD_VERY_LOW
#define | HXX_SPEAKER_LEVEL_P2 0x00
#define | HXX_SPEAKER_LEVEL_P1 0x01
#define | HXX_SPEAKER_LEVEL_0 0x02
#define | HXX_SPEAKER_LEVEL_M1 0x03
#define | HXX_SPEAKER_LEVEL_M2 0x04
#define | HXX_SPEAKER_LEVEL_M3 0x05
#define | HXX_SPEAKER_LEVEL_M4 0x06
#define | HXX_SPEAKER_LEVEL_M5 0x07
#define | HXX_SPEAKER_LEVEL_M6 0x08
#define | HXX_SPEAKER_LEVEL_M7 0x09
#define | HXX_SPEAKER_LEVEL_M8 0x0A
#define | HXX_SPEAKER_LEVEL_ILLEGAL 0xFF
#define | HXX_SPEAKER_LEVEL_MIN HXX_SPEAKER_LEVEL_P2
#define | HXX_SPEAKER_LEVEL_MAX HXX_SPEAKER_LEVEL_M8
#define | HXX_SPEAKER_MUTE 0xF3
#define | HXX_SPEAKER_RESTORE 0xF4

## Functions
int | TiproHandsetSetMicrophoneCompression (TiproHidDevice *device, int nHandsetNum, int nCompression)
| Set compression for the microphone signal. More...
int | TiproHandsetSetMicrophoneThreshold (TiproHidDevice *device, int nHandsetNum, int nThreshold)
| Sets threshold level for the microphone signal. More...
int | TiproHandsetSetMicrophoneLevel (TiproHidDevice *device, int nHandsetNum, int nLevel)
| Sets level of the microphone signal. More...
int | TiproHandsetGetMicrophoneCompression (TiproHidDevice *device, int nHandsetNum, int *nCompression)
| Returns compression for the microphone signal. More...
int | TiproHandsetGetMicrophoneThreshold (TiproHidDevice *device, int nHandsetNum, int *nThreshold)
| Returns threshold for the microphone signal. More...
int | TiproHandsetGetMicrophoneLevel (TiproHidDevice *device, int nHandsetNum, int *nLevel)
| Returns compression for the microphone signal. More...
int | TiproHandsetSetSpeakerLevel (TiproHidDevice *device, int nHandsetNum, int nLevel)
| Sets the level of the handset speaker. More...
int | TiproHandsetGetSpeakerLevel (TiproHidDevice *device, int nHandsetNum, int *nLevel)
| Returns the level of the handset speaker. More...

## Detailed Description

Handset

This file includes functions for communication with Handset.

Handset

Tipro

suppo.nosp@m.rt@t.nosp@m.ipro..nosp@m.si

Copyright 2021

## Macro Definition Documentation

## ◆ HXX_MIC_ATT_0

#define HXX_MIC_ATT_0 0x00

Microphone attenuation level 0 (maximum)

## ◆ HXX_MIC_ATT_1

#define HXX_MIC_ATT_1 0x01

Microphone attenuation level 1

## ◆ HXX_MIC_ATT_10

#define HXX_MIC_ATT_10 0x0A

Microphone attenuation level 10

## ◆ HXX_MIC_ATT_11

#define HXX_MIC_ATT_11 0x0B

Microphone attenuation level 11

## ◆ HXX_MIC_ATT_12

#define HXX_MIC_ATT_12 0x0C

Microphone attenuation level 12

## ◆ HXX_MIC_ATT_13

#define HXX_MIC_ATT_13 0x0D

Microphone attenuation level 13

## ◆ HXX_MIC_ATT_14

#define HXX_MIC_ATT_14 0x0E

Microphone attenuation level 14 (minimum)

## ◆ HXX_MIC_ATT_2

#define HXX_MIC_ATT_2 0x02

Microphone attenuation level 2

## ◆ HXX_MIC_ATT_3

#define HXX_MIC_ATT_3 0x03

Microphone attenuation level 3

## ◆ HXX_MIC_ATT_4

#define HXX_MIC_ATT_4 0x04

Microphone attenuation level 4

## ◆ HXX_MIC_ATT_5

#define HXX_MIC_ATT_5 0x05

Microphone attenuation level 5

## ◆ HXX_MIC_ATT_6

#define HXX_MIC_ATT_6 0x06

Microphone attenuation level 6

## ◆ HXX_MIC_ATT_7

#define HXX_MIC_ATT_7 0x07

Microphone attenuation level 7

## ◆ HXX_MIC_ATT_8

#define HXX_MIC_ATT_8 0x08

Microphone attenuation level 8

## ◆ HXX_MIC_ATT_9

#define HXX_MIC_ATT_9 0x09

Microphone attenuation level 9

## ◆ HXX_MIC_COMPRESSION_OFF

#define HXX_MIC_COMPRESSION_OFF 0x10

Microphone compression off

## ◆ HXX_MIC_COMPRESSION_ON

#define HXX_MIC_COMPRESSION_ON 0x11

Microphone compression on

## ◆ HXX_MIC_THRESHOLD_HIGH

#define HXX_MIC_THRESHOLD_HIGH 0x10

Microphone noise threshold high

## ◆ HXX_MIC_THRESHOLD_LOW

#define HXX_MIC_THRESHOLD_LOW 0x12

Microphone noise threshold low

## ◆ HXX_MIC_THRESHOLD_LOWER

#define HXX_MIC_THRESHOLD_LOWER 0x13

Microphone noise threshold lower

## ◆ HXX_MIC_THRESHOLD_MID

#define HXX_MIC_THRESHOLD_MID 0x11

Microphone noise threshold medium

## ◆ HXX_MIC_THRESHOLD_VERY_LOW

#define HXX_MIC_THRESHOLD_VERY_LOW 0x14

Microphone noise threshold very low

## ◆ HXX_SPEAKER_LEVEL_0

#define HXX_SPEAKER_LEVEL_0 0x02

Speaker level 0

## ◆ HXX_SPEAKER_LEVEL_M1

#define HXX_SPEAKER_LEVEL_M1 0x03

Speaker level -1

## ◆ HXX_SPEAKER_LEVEL_M2

#define HXX_SPEAKER_LEVEL_M2 0x04

Speaker level -2

## ◆ HXX_SPEAKER_LEVEL_M3

#define HXX_SPEAKER_LEVEL_M3 0x05

Speaker level -3

## ◆ HXX_SPEAKER_LEVEL_M4

#define HXX_SPEAKER_LEVEL_M4 0x06

Speaker level -4

## ◆ HXX_SPEAKER_LEVEL_M5

#define HXX_SPEAKER_LEVEL_M5 0x07

Speaker level -5

## ◆ HXX_SPEAKER_LEVEL_M6

#define HXX_SPEAKER_LEVEL_M6 0x08

Speaker level -6

## ◆ HXX_SPEAKER_LEVEL_M7

#define HXX_SPEAKER_LEVEL_M7 0x09

Speaker level -7

## ◆ HXX_SPEAKER_LEVEL_M8

#define HXX_SPEAKER_LEVEL_M8 0x0A

Speaker level -8 (minimum)

## ◆ HXX_SPEAKER_LEVEL_P1

#define HXX_SPEAKER_LEVEL_P1 0x01

Speaker level +1

## ◆ HXX_SPEAKER_LEVEL_P2

#define HXX_SPEAKER_LEVEL_P2 0x00

Speaker level +2 (maximum)

## Function Documentation

## ◆ TiproHandsetGetMicrophoneCompression()

int TiproHandsetGetMicrophoneCompression | ( | TiproHidDevice * | device,
|  | int | nHandsetNum,
|  | int * | nCompression
| ) |  |

Returns compression for the microphone signal.

Parameters

  [in] | device | Device
  [in] | nHandsetNum | Selected handset module number
  [out] | nCompression | Microphone compression

Returns
  Command status: 0-OK, else error code

## ◆ TiproHandsetGetMicrophoneLevel()

int TiproHandsetGetMicrophoneLevel | ( | TiproHidDevice * | device,
|  | int | nHandsetNum,
|  | int * | nLevel
| ) |  |

Returns compression for the microphone signal.

Parameters

  [in] | device | Device
  [in] | nHandsetNum | Selected handset module number
  [out] | nLevel | Microphone level

Returns
  Command status: 0-OK, else error code

## ◆ TiproHandsetGetMicrophoneThreshold()

int TiproHandsetGetMicrophoneThreshold | ( | TiproHidDevice * | device,
|  | int | nHandsetNum,
|  | int * | nThreshold
| ) |  |

Returns threshold for the microphone signal.

Parameters

  [in] | device | Device
  [in] | nHandsetNum | Selected handset module number
  [out] | nThreshold | Microphone threshold

Returns
  Command status: 0-OK, else error code

## ◆ TiproHandsetGetSpeakerLevel()

int TiproHandsetGetSpeakerLevel | ( | TiproHidDevice * | device,
|  | int | nHandsetNum,
|  | int * | nLevel
| ) |  |

Returns the level of the handset speaker.

Parameters

  [in] | device | Device
  [in] | nHandsetNum | Selected handset module number
  [out] | nLevel | Speaker level

Returns
  Command status: 0-OK, else error code

## ◆ TiproHandsetSetMicrophoneCompression()

int TiproHandsetSetMicrophoneCompression | ( | TiproHidDevice * | device,
|  | int | nHandsetNum,
|  | int | nCompression
| ) |  |

Set compression for the microphone signal.

Parameters

  [in] | device | Device
  [in] | nHandsetNum | Selected handset module number
  [in] | nCompression | Microphone compression

Returns
  Command status: 0-OK, else error code

## ◆ TiproHandsetSetMicrophoneLevel()

int TiproHandsetSetMicrophoneLevel | ( | TiproHidDevice * | device,
|  | int | nHandsetNum,
|  | int | nLevel
| ) |  |

Sets level of the microphone signal.

Parameters

  [in] | device | Device
  [in] | nHandsetNum | Selected handset module number
  [in] | nLevel | Microphone level

Returns
  Command status: 0-OK, else error code

## ◆ TiproHandsetSetMicrophoneThreshold()

int TiproHandsetSetMicrophoneThreshold | ( | TiproHidDevice * | device,
|  | int | nHandsetNum,
|  | int | nThreshold
| ) |  |

Sets threshold level for the microphone signal.

Parameters

  [in] | device | Device
  [in] | nHandsetNum | Selected handset module number
  [in] | nThreshold | Microphone threshold

Returns
  Command status: 0-OK, else error code

## ◆ TiproHandsetSetSpeakerLevel()

int TiproHandsetSetSpeakerLevel | ( | TiproHidDevice * | device,
|  | int | nHandsetNum,
|  | int | nLevel
| ) |  |

Sets the level of the handset speaker.

Parameters

  [in] | device | Device
  [in] | nHandsetNum | Selected handset module number
  [in] | nLevel | Speaker level

Returns
  Command status: 0-OK, else error code